Constants (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain
Class Constants

    java.lang.Object
      org.apache.struts.chain.Constants

    public final class Constants

extends Object

Global constants for the Chain of Responsibility Library.

Field Summary
`static String` | `ACTION_CONFIG_KEY` The default context attribute under which the ActionConfig for the current request will be stored.
`static String` | `ACTION_FORM_KEY` The default context attribute under which the ActionForm for the current request will be stored.
`static String` | `ACTION_KEY` The default context attribute under which the Action for the current request will be stored.
`static String` | `ACTION_SERVLET_KEY` The default context attribute under which the ActionServet for the current application will be stored.
`static String` | `ACTIONS_KEY` The base part of the context attribute under which a Map containing the Action instances associated with this module are stored.
`static String` | `CANCEL_KEY` The default context attribute under which a boolean flag indicating whether this request has been cancelled will be stored.
`static String` | `CATALOG_ATTR` The context attribute under which the Catalog containing our defined command chains has been stored.
`static String` | `EXCEPTION_KEY` The default context attribute under which an Exception will be stored before passing it to an exception handler chain.
`static String` | `FORWARD_CONFIG_KEY` The default context attribute under which the ForwardConfig for the current request will be stored.
`static String` | `INCLUDE_KEY` The default context attribute under which the include path for the current request will be stored.
`static String` | `INCLUDE_PATH_INFO` The request attribute under which the path information is stored for processing during a RequestDispatcher.include() call.
`static String` | `INCLUDE_SERVLET_PATH` The request attribute under which the servlet path is stored for processing during a RequestDispatcher.include() call.
`static String` | `LOCALE_KEY` The default context attribute under which the Locale for the current request will be stored.
`static String` | `MESSAGE_RESOURCES_KEY` The default context attribute under which the MessageResources for the current request will be stored.
`static String` | `MODULE_CONFIG_KEY` The default context attribute under which the ModuleConfig for the current request will be stored.
`static String` | `VALID_KEY` The default context attribute key under which a Boolean is stored, indicating the valid state of the current request.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_KEY

    public static final String ACTION_KEY

  The default context attribute under which the Action for the current request will be stored.

  See Also:
    Constant Field Values

### ACTION_CONFIG_KEY

    public static final String ACTION_CONFIG_KEY

  The default context attribute under which the ActionConfig for the current request will be stored.

  See Also:
    Constant Field Values

### ACTION_FORM_KEY

    public static final String ACTION_FORM_KEY

  The default context attribute under which the ActionForm for the current request will be stored.

  See Also:
    Constant Field Values

### ACTION_SERVLET_KEY

    public static final String ACTION_SERVLET_KEY

  The default context attribute under which the ActionServet for the current application will be stored.

  See Also:
    Constant Field Values

### CANCEL_KEY

    public static final String CANCEL_KEY

  The default context attribute under which a boolean flag indicating whether this request has been cancelled will be stored.

  See Also:
    Constant Field Values

### EXCEPTION_KEY

    public static final String EXCEPTION_KEY

  The default context attribute under which an Exception will be stored before passing it to an exception handler chain.

  See Also:
    Constant Field Values

### FORWARD_CONFIG_KEY

    public static final String FORWARD_CONFIG_KEY

  The default context attribute under which the ForwardConfig for the current request will be stored.

  See Also:
    Constant Field Values

### INCLUDE_KEY

    public static final String INCLUDE_KEY

  The default context attribute under which the include path for the current request will be stored.

  See Also:
    Constant Field Values

### LOCALE_KEY

    public static final String LOCALE_KEY

  The default context attribute under which the Locale for the current request will be stored.

  See Also:
    Constant Field Values

### MESSAGE_RESOURCES_KEY

    public static final String MESSAGE_RESOURCES_KEY

  The default context attribute under which the MessageResources for the current request will be stored.

  See Also:
    Constant Field Values

### MODULE_CONFIG_KEY

    public static final String MODULE_CONFIG_KEY

  The default context attribute under which the ModuleConfig for the current request will be stored.

  See Also:
    Constant Field Values

### VALID_KEY

    public static final String VALID_KEY

  The default context attribute key under which a Boolean is stored, indicating the valid state of the current request. If not present, a value of Boolean.FALSE should be assumed.

  See Also:
    Constant Field Values

### ACTIONS_KEY

    public static final String ACTIONS_KEY

  The base part of the context attribute under which a Map containing the Action instances associated with this module are stored. This value must be suffixed with the module prefix in order to create a unique key per module.

  See Also:
    Constant Field Values

### CATALOG_ATTR

    public static final String CATALOG_ATTR

  The context attribute under which the Catalog containing our defined command chains has been stored.

  See Also:
    Constant Field Values

### INCLUDE_PATH_INFO

    public static final String INCLUDE_PATH_INFO

  The request attribute under which the path information is stored for processing during a RequestDispatcher.include() call.

  See Also:
    Constant Field Values

### INCLUDE_SERVLET_PATH

    public static final String INCLUDE_SERVLET_PATH

  The request attribute under which the servlet path is stored for processing during a RequestDispatcher.include() call.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.